# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Summary:		Autopsy Forensic Browser
Name:			autopsy
Version:		2.24
Release:		1%{?dist}
License:		GPL
Group:			System/Base
URL:			http://www.sleuthkit.org
Source0:		%{name}-%{version}.tar.gz
Requires:		binutils
Requires:		coreutils
Requires:		file
Requires:		grep
Requires:		perl
Requires:		sleuthkit >= 3.1
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
The Autopsy Forensic Browser is a graphical interface to the
command line digital forensic analysis tools in The Sleuth Kit.
Together, The Sleuth Kit and Autopsy provide many of the same
features as commercial digital forensics tools for the analysis
of Windows(tm) and UNIX file systems (NTFS, FAT, FFS, EXT2FS,
and EXT3FS).

The Sleuth Kit and Autopsy are both Open Source and run on UNIX
platforms. As Autopsy is HTML-based, the investigator can connect
to the Autopsy server from any platform using an HTML browser.
Autopsy provides a 'File Manager'-like interface and shows details
about deleted data and file system structures.

%prep
%setup -q

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%if 0%{?fedora} >= 15
%{__perllib_provides} $* |\
%else
%{__perl_provides} $* |\
%endif
  sed   -e '/perl(Main)/d' \
        -e '/perl(conf.pl)/d' \
        -e '/perl(define.pl)/d' \
        -e '/perl(lib)/d' \
        -e '/perl(lib::define.pl)/d' \
        -e '/perl(search.pl)/d' \
        -e '/perl(strict)/d' \
        -e '/perl(vars)/d' \
        -e '/perl(Appsort)/d' \
        -e '/perl(Appview)/d' \
        -e '/perl(Args)/d' \
        -e '/perl(Caseman)/d' \
        -e '/perl(Data)/d' \
        -e '/perl(Exec)/d' \
        -e '/perl(File)/d' \
        -e '/perl(Filesystem)/d' \
        -e '/perl(Frame)/d' \
        -e '/perl(Fs)/d' \
        -e '/perl(Hash)/d' \
        -e '/perl(Kwsrch)/d' \
        -e '/perl(Meta)/d' \
        -e '/perl(Notes)/d' \
        -e '/perl(Print)/d' \
        -e '/perl(Timeline)/d' \
        -e '/perl(Vs)/d'
EOF

%if 0%{?fedora} >= 15
%define __perllib_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perllib_provides}
%else
%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}
%endif


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed   -e '/perl(Main)/d' \
        -e '/perl(conf.pl)/d' \
        -e '/perl(define.pl)/d' \
        -e '/perl(lib)/d' \
        -e '/perl(lib::define.pl)/d' \
        -e '/perl(search.pl)/d' \
        -e '/perl(strict)/d' \
        -e '/perl(vars)/d' \
        -e '/perl(Appsort)/d' \
        -e '/perl(Appview)/d' \
        -e '/perl(Args)/d' \
        -e '/perl(Caseman)/d' \
        -e '/perl(Data)/d' \
        -e '/perl(Exec)/d' \
        -e '/perl(File)/d' \
        -e '/perl(Filesystem)/d' \
        -e '/perl(Frame)/d' \
        -e '/perl(Fs)/d' \
        -e '/perl(Hash)/d' \
        -e '/perl(Kwsrch)/d' \
        -e '/perl(Meta)/d' \
        -e '/perl(Notes)/d' \
        -e '/perl(Print)/d' \
        -e '/perl(Timeline)/d' \
        -e '/perl(Vs)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
%if 0%{?fedora} >= 15
%define __perllib_requires %{__perl_requires}
%endif
chmod +x %{__perl_requires}

%build
# "build" autopsy
%__cat > %{name} << EOF
#!%{_bindir}/perl -wT
use lib '%{_datadir}/%{name}/';
use lib '%{_datadir}/%{name}/lib/';
EOF
%__cat base/%{name}.base >> %{name}

# "build" make-live-cd
%__cat > make-live-cd << EOF
#!%{_bindir}/perl
use lib '%{_datadir}/%{name}/';
use lib '%{_datadir}/%{name}/lib/';
EOF
%__cat base/make-live-cd.base >> make-live-cd

# "build" conf.pl
%__cat > conf.pl << EOF
# Autopsy configuration settings

# when set to 1, the server will stop after it receives no
# connections for STIMEOUT seconds. 
\$USE_STIMEOUT = 0;
\$STIMEOUT = 3600;

# number of seconds that child waits for input from client
\$CTIMEOUT = 15;

# set to 1 to save the cookie value in a file (for scripting)
\$SAVE_COOKIE = 1;

\$INSTALLDIR = '%{_datadir}/%{name}/';

# System Utilities
\$STRINGS_EXE = '%{_bindir}/strings';
\$GREP_EXE = '/bin/grep';
\$FILE_EXE = '%{_bindir}/file';
\$MD5_EXE = '%{_bindir}/md5sum';
\$SHA1_EXE = '%{_bindir}/sha1sum';

# Directories
\$TSKDIR = '%{_bindir}/';
\$NSRLDB = '';
\$LOCKDIR = '%{_localstatedir}/morgue';
EOF

%install
%__install -d %{buildroot}%{_bindir}
%__install -m0755 %{name}  \
	%{buildroot}%{_bindir}/%{name}
%__install -d %{buildroot}%{_sbindir}
%__install -m0755 make-live-cd  \
	%{buildroot}%{_sbindir}/make-live-cd

%__install -d %{buildroot}%{_mandir}/man1
%__install -m0644 man/man1/%{name}.1  \
	%{buildroot}%{_mandir}/man1/

%__install -d %{buildroot}%{_datadir}/%{name}
%__install -m0755 conf.pl \
	%{buildroot}%{_datadir}/%{name}/
%__install -d %{buildroot}%{_datadir}/%{name}/help
%__install -m0644 help/*.html  \
	%{buildroot}%{_datadir}/%{name}/help/
%__install -d %{buildroot}%{_datadir}/%{name}/lib
%__install -m0644 lib/*.p*  \
	%{buildroot}%{_datadir}/%{name}/lib/
%__install -d %{buildroot}%{_datadir}/%{name}/pict
%__install -m0644 pict/*  \
	%{buildroot}%{_datadir}/%{name}/pict/

%__install -d %{buildroot}/var/log/%{name}
%__install -d %{buildroot}%{_localstatedir}/morgue

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt COPYING docs/*.txt README-LIVE.txt README.txt TODO.txt
%config(noreplace) %attr(0644,root,root) %{_datadir}/%{name}/conf.pl
%config(noreplace) %attr(0644,root,root) %{_datadir}/%{name}/lib/define.pl
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/help/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/pict/*
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_sbindir}/make-live-cd
%dir /var/log/%{name}
%attr(1777,root,root)	%dir %{_localstatedir}/morgue
%attr(0644,root,root) %{_mandir}/man1/*

%changelog
* Wed Mar 22 2010 Brian Carrier <carrier@sleuthkit.org>

	--------------------------- Version 2.24 --------------------------------
	3/22/10: Bug Fix: resolved issue 2950986 to support HFS directories. 

* Wed Feb 12 2010 Brian Carrier <carrier@sleuthkit.org>

	--------------------------- Version 2.23 --------------------------------
	2/12/10: bug fix: resolved issue 2950693 where previous searches
	were not shown if they used quotes.

	2/12/10: bug fix: resolved issue 2932385 where wrong flag was being used
	to do only doing category searching"

	2/12/10: bug fix: resolved issue 2779244 where wrong sorter path was
	being used.

* Wed Dec 30 2009 Brian Carrier <carrier@sleuthkit.org>

	--------------------------- Version 2.22 --------------------------------
	10/27/09: Update: Change istat to use -B instead of -b (new change in TSK).

	11/19/09: Update: Improved configure script process and error message for
	FILE_EXE check.

	11/25/09: Fixed MD5 exe bug when building live CD

	12/30/09: Fixed issue 2923857 re: cookie errors for the icon and css file 
	links when cookies are used. 

* Wed Nov 14 2009 Brian Carrier <carrier@sleuthkit.org>

	--------------------------- Version 2.21 --------------------------------
	11/7/08: Bug Fix: Changed case management code to not error when 'dls ...' 
	line was encountered. 

	11/14/08: Bug Fix: Fixed bug 2288406 (parsing of new fls -l format when file name searching and deleted file listing)

* Wed Oct 13 2009 Brian Carrier <carrier@sleuthkit.org>

	--------------------------- Version 2.20 --------------------------------
	7/1/08: Update: Updated FAT sizes based on new "special" files.

	7/9/08: Update: Updated NTFS processing for orphan files / removed
	ifind -p etc.

	7/9/08: Update: Updated mactime and time formats to ISO formats.

	9/13/08: Update: Changed usage to new TSK d* to blk* names.

	9/26/08: Bug Fix: Input check on host was printing invalid host values 
	w/out encoding HTML entities.  Reported by Russ McRee.

	10/01/08: Update: HFS support is enabled if TSK was compiled with 
	support for it.

	10/08/08: Bug Fix: Added some more HTML entity escaping to case management
	values (such as description).  Reported by Daniel Medianero.

	10/13/08: Update: Added perl version check back into configure, but used
	perl $] variable to do checking.  Based on patch by Joerg Friedrich.

* Fri Feb 01 2008 Toni Graffy <toni@links2linux.de> - 2.10-0.pm.1
- update to 2.10
* Wed Oct 04 2006 Toni Graffy <toni@links2linux.de> - 2.08-0.pm.1
- initial build 2.08
